﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinControlContainerEditor
{
    public partial class UserControl1 : UserControl, INotifyPropertyChanged
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        private MyClass myClassValue;

        public MyClass MyClassValue
        {
            get { return myClassValue; }
            set
            {
                if (value != this.myClassValue)
                {
                    this.myClassValue = value;
                    NotifyPropertyChanged("MyClassValue");
                    ultraTextEditor1.DataBindings.Clear();
                    ultraTextEditor1.DataBindings.Add("Text", this.myClassValue, "Value1");

                    ultraTextEditor2.DataBindings.Clear();
                    ultraTextEditor2.DataBindings.Add("Text", this.myClassValue, "Value2");

                }
             }
        }


        private void UserControl1_Load(object sender, EventArgs e)
        {
            

        }

        

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        
        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion
    }
}
